%define xtag X11R7.2
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libX11 runtime library
Name: 		libX11
Version: 	1.1.3
Release: 	1
Epoch: 		1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2


BuildRequires: 	pkg-config
# xproto >= 7.0.6 required
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	xorg-x11-xtrans-devel
BuildRequires: 	libXau-devel
BuildRequires: 	libXdmcp-devel
BuildRequires:  libxcb-devel

Requires(pre): xorg-x11-filesystem >= 0.99.2-3

Obsoletes: xorg-libs

%description
X.Org X11 libX11 runtime library

%package devel
Summary: 	X.Org X11 libX11 development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{epoch}:%{version}-%{release}

# xproto >= 7.0.6 required
Requires: 	xorg-x11-proto-devel
Requires: 	libXau-devel, libXdmcp-devel

Obsoletes: xorg-devel

%description devel
X.Org X11 libX11 development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
	--disable-dependency-tracking \
	--enable-loadable-i18n \
	--enable-secure-rpc \
%if ! %{with_static}
	--disable-static
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
find $RPM_BUILD_ROOT -type f -name '*.la' | xargs rm -f -- || :

# FIXME: Don't install Xcms.txt - find out why upstream still ships this.
find $RPM_BUILD_ROOT -name 'Xcms.txt' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog NEWS
%dir %{_datadir}/X11
%dir %{_datadir}/X11/locale
%dir %{_datadir}/X11/locale/C
%{_datadir}/X11/locale/C/*
%dir %{_datadir}/X11/locale/armscii-8
%{_datadir}/X11/locale/armscii-8/*
%{_datadir}/X11/locale/compose.dir
%dir %{_datadir}/X11/locale/en_US.UTF-8
%{_datadir}/X11/locale/en_US.UTF-8/*
%dir %{_datadir}/X11/locale/el_GR.UTF-8
%{_datadir}/X11/locale/el_GR.UTF-8/*
%dir %{_datadir}/X11/locale/georgian-academy
%{_datadir}/X11/locale/georgian-academy/*
%dir %{_datadir}/X11/locale/georgian-ps
%{_datadir}/X11/locale/georgian-ps/*
%dir %{_datadir}/X11/locale/ibm-cp1133
%{_datadir}/X11/locale/ibm-cp1133/*
%dir %{_datadir}/X11/locale/iscii-dev
%{_datadir}/X11/locale/iscii-dev/*
%dir %{_datadir}/X11/locale/isiri-3342
%{_datadir}/X11/locale/isiri-3342/*
%dir %{_datadir}/X11/locale/iso8859-*
%{_datadir}/X11/locale/iso8859-*/*
%dir %{_datadir}/X11/locale/ja.*
%{_datadir}/X11/locale/ja.*/*
%dir %{_datadir}/X11/locale/ja
%{_datadir}/X11/locale/ja/*
%dir %{_datadir}/X11/locale/ja_JP.UTF-8
%{_datadir}/X11/locale/ja_JP.UTF-8/Compose
%{_datadir}/X11/locale/ja_JP.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/ja_JP.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/ko
%{_datadir}/X11/locale/ko/Compose
%{_datadir}/X11/locale/ko/XI18N_OBJS
%{_datadir}/X11/locale/ko/XLC_LOCALE
%dir %{_datadir}/X11/locale/ko_KR.UTF-8
%{_datadir}/X11/locale/ko_KR.UTF-8/Compose
%{_datadir}/X11/locale/ko_KR.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/ko_KR.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/koi8-c
%{_datadir}/X11/locale/koi8-c/Compose
%{_datadir}/X11/locale/koi8-c/XI18N_OBJS
%{_datadir}/X11/locale/koi8-c/XLC_LOCALE
%dir %{_datadir}/X11/locale/koi8-r
%{_datadir}/X11/locale/koi8-r/Compose
%{_datadir}/X11/locale/koi8-r/XI18N_OBJS
%{_datadir}/X11/locale/koi8-r/XLC_LOCALE
%dir %{_datadir}/X11/locale/koi8-u
%{_datadir}/X11/locale/koi8-u/Compose
%{_datadir}/X11/locale/koi8-u/XI18N_OBJS
%{_datadir}/X11/locale/koi8-u/XLC_LOCALE
%{_datadir}/X11/locale/locale.alias
%{_datadir}/X11/locale/locale.dir
%dir %{_datadir}/X11/locale/microsoft-*
%{_datadir}/X11/locale/microsoft-*/*
%dir %{_datadir}/X11/locale/mulelao-1
%{_datadir}/X11/locale/mulelao-1/Compose
%{_datadir}/X11/locale/mulelao-1/XI18N_OBJS
%{_datadir}/X11/locale/mulelao-1/XLC_LOCALE
%dir %{_datadir}/X11/locale/nokhchi-1
%{_datadir}/X11/locale/nokhchi-1/Compose
%{_datadir}/X11/locale/nokhchi-1/XI18N_OBJS
%{_datadir}/X11/locale/nokhchi-1/XLC_LOCALE
%dir %{_datadir}/X11/locale/pt_BR.UTF-8
%{_datadir}/X11/locale/pt_BR.UTF-8/Compose
%{_datadir}/X11/locale/pt_BR.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/pt_BR.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/tatar-cyr
%{_datadir}/X11/locale/tatar-cyr/Compose
%{_datadir}/X11/locale/tatar-cyr/XI18N_OBJS
%{_datadir}/X11/locale/tatar-cyr/XLC_LOCALE
%dir %{_datadir}/X11/locale/th_TH.UTF-8
%{_datadir}/X11/locale/th_TH.UTF-8/Compose
%{_datadir}/X11/locale/th_TH.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/th_TH.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/th_TH
%{_datadir}/X11/locale/th_TH/Compose
%{_datadir}/X11/locale/th_TH/XI18N_OBJS
%{_datadir}/X11/locale/th_TH/XLC_LOCALE
%dir %{_datadir}/X11/locale/tscii-0
%{_datadir}/X11/locale/tscii-0/Compose
%{_datadir}/X11/locale/tscii-0/XI18N_OBJS
%{_datadir}/X11/locale/tscii-0/XLC_LOCALE
%dir %{_datadir}/X11/locale/vi_VN.tcvn
%{_datadir}/X11/locale/vi_VN.tcvn/Compose
%{_datadir}/X11/locale/vi_VN.tcvn/XI18N_OBJS
%{_datadir}/X11/locale/vi_VN.tcvn/XLC_LOCALE
%dir %{_datadir}/X11/locale/vi_VN.viscii
%{_datadir}/X11/locale/vi_VN.viscii/Compose
%{_datadir}/X11/locale/vi_VN.viscii/XI18N_OBJS
%{_datadir}/X11/locale/vi_VN.viscii/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_CN.UTF-8
%{_datadir}/X11/locale/zh_CN.UTF-8/Compose
%{_datadir}/X11/locale/zh_CN.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/zh_CN.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_CN.gb18030
%{_datadir}/X11/locale/zh_CN.gb18030/Compose
%{_datadir}/X11/locale/zh_CN.gb18030/XI18N_OBJS
%{_datadir}/X11/locale/zh_CN.gb18030/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_CN.gbk
%{_datadir}/X11/locale/zh_CN.gbk/Compose
%{_datadir}/X11/locale/zh_CN.gbk/XI18N_OBJS
%{_datadir}/X11/locale/zh_CN.gbk/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_CN
%{_datadir}/X11/locale/zh_CN/Compose
%{_datadir}/X11/locale/zh_CN/XI18N_OBJS
%{_datadir}/X11/locale/zh_CN/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_HK.UTF-8
%{_datadir}/X11/locale/zh_HK.UTF-8/Compose
%{_datadir}/X11/locale/zh_HK.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/zh_HK.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_HK.big5
%{_datadir}/X11/locale/zh_HK.big5/Compose
%{_datadir}/X11/locale/zh_HK.big5/XI18N_OBJS
%{_datadir}/X11/locale/zh_HK.big5/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_HK.big5hkscs
%{_datadir}/X11/locale/zh_HK.big5hkscs/Compose
%{_datadir}/X11/locale/zh_HK.big5hkscs/XI18N_OBJS
%{_datadir}/X11/locale/zh_HK.big5hkscs/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_TW.UTF-8
%{_datadir}/X11/locale/zh_TW.UTF-8/Compose
%{_datadir}/X11/locale/zh_TW.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/zh_TW.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_TW.big5
%{_datadir}/X11/locale/zh_TW.big5/Compose
%{_datadir}/X11/locale/zh_TW.big5/XI18N_OBJS
%{_datadir}/X11/locale/zh_TW.big5/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_TW
%{_datadir}/X11/locale/zh_TW/Compose
%{_datadir}/X11/locale/zh_TW/XI18N_OBJS
%{_datadir}/X11/locale/zh_TW/XLC_LOCALE
%{_datadir}/X11/XErrorDB
%{_datadir}/X11/XKeysymDB
%{_libdir}/libX11.so.6
%{_libdir}/libX11.so.6.2.0
%{_libdir}/libX11-xcb.so*
%{_libdir}/X11/locale/common/ximcp.so
%{_libdir}/X11/locale/common/ximcp.so.2
%{_libdir}/X11/locale/common/ximcp.so.2.0.0
%{_libdir}/X11/locale/common/xlcDef.so
%{_libdir}/X11/locale/common/xlcDef.so.2
%{_libdir}/X11/locale/common/xlcDef.so.2.0.0
%{_libdir}/X11/locale/common/xlcUTF8Load.so
%{_libdir}/X11/locale/common/xlcUTF8Load.so.2
%{_libdir}/X11/locale/common/xlcUTF8Load.so.2.0.0
%{_libdir}/X11/locale/common/xlibi18n.so
%{_libdir}/X11/locale/common/xlibi18n.so.2
%{_libdir}/X11/locale/common/xlibi18n.so.2.0.0
%{_libdir}/X11/locale/common/xlocale.so
%{_libdir}/X11/locale/common/xlocale.so.2
%{_libdir}/X11/locale/common/xlocale.so.2.0.0
%{_libdir}/X11/locale/common/xomGeneric.so
%{_libdir}/X11/locale/common/xomGeneric.so.2
%{_libdir}/X11/locale/common/xomGeneric.so.2.0.0


%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/X11
%{_includedir}/X11/ImUtil.h
%{_includedir}/X11/XKBlib.h
%{_includedir}/X11/Xcms.h
%{_includedir}/X11/Xlib.h
%{_includedir}/X11/XlibConf.h
%{_includedir}/X11/Xlibint.h
%{_includedir}/X11/Xlocale.h
%{_includedir}/X11/Xregion.h
%{_includedir}/X11/Xresource.h
%{_includedir}/X11/Xutil.h
%{_includedir}/X11/cursorfont.h
%{_includedir}/X11/Xlib-xcb.h
%if %{with_static}
%{_libdir}/libX11.a
%endif
%{_libdir}/libX11.so
%{_libdir}/pkgconfig/x11.pc
%{_libdir}/pkgconfig/x11-xcb.pc

#%dir %{_mandir}/man3x
%{_mandir}/man3

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-1
- Version update
* Tue Jun 12 2007 Christian Metzen <metzench@ccux-linux.de> 1:1.1.1-2
- added missing Epoch Tag for devel package
* Mon Jun 11 2007 Christian Metzen <metzench@ccux-linux.de> 1:1.1.1-1
- Version downgrade 1.1.2 seems to be buggy
* Wed Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- Version update
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- Version update
* Sun Sep 10 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.3-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
